#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	autoconf-old
Version		:	2.13
Release		:	17.0.10.rel%{?dist}
Summary		:	A GNU tool for automatically configuring source code
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and GFDL
URL		:	http://www.gnu.org/software/autoconf/

Source0		:	%{sname}-%{version}.tar.gz
Patch0		:	%{sname}-%{version}-consolidated_fixes-1.patch

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Autoconf2.13 is an old version of Autoconf. This old version accepts
switches which are not valid in more recent versions. Now that
firefox has started to use python2 for configuring, this old version
is required even if configure files have not been changed. 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{sname}2.13
%{_bindir}/autoheader2.13
%{_bindir}/autoreconf2.13
%{_bindir}/autoupdate2.13
%{_bindir}/ifnames2.13
%{_datadir}/%{sname}-2.13/*.{m4,m4f}
%{_datadir}/%{sname}-2.13/*.h
%{_datadir}/%{sname}-2.13/acfunctions
%{_datadir}/%{sname}-2.13/acheaders
%{_datadir}/%{sname}-2.13/acidentifiers
%{_datadir}/%{sname}-2.13/acmakevars
%{_datadir}/%{sname}-2.13/acprograms
%{_infodir}/%{sname}213.info.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mv} autoconf.texi autoconf213.texi
%{__rm} autoconf.info

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--program-suffix=2.13				\


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
install -v -m644 autoconf213.info %{buildroot}%{_infodir}
install-info --info-dir=%{buildroot}%{_infodir} autoconf213.info
%{__rm} -fr %{buildroot}%{_infodir}/dir

#autoscan is including a deprecated
%{__rm} -fr %{buildroot}%{_bindir}/autoscan2.13

#-----------------------------------------------------------------------------
%changelog
